### Name: cdens
### Title: Build a conditional density function
### Aliases: cdens
### Keywords: distribution

### ** Examples

set.seed(123)
treshold <- 10
xc  <- rlnorm(100, 2, 2)   # complete sample
xt <- xc[xc >= treshold]   # left truncated sample

clnorm <- cdens("plnorm", H = treshold)
args(clnorm)

# mle fitting based on the complete sample
start <- list(meanlog = 2, sdlog = 1)
MASS::fitdistr(xc, dlnorm, start = start)

# mle fitting based on the truncated sample
MASS::fitdistr(xt, clnorm, start = start)

# in contrast
MASS::fitdistr(xt, dlnorm, start = start)



